FreeMat

- Main Page
- Related Pages

vtkPolyDataSource

Section: Visualization Toolkit Filtering Classes

# Usage

vtkPolyDataSource is an abstract class whose subclasses generate polygonal data.

To create an instance of class vtkPolyDataSource, simply invoke its constructor as follows

      obj = vtkPolyDataSource

# Methods

The class vtkPolyDataSource has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkPolyDataSource class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkPolyDataSource = obj.NewInstance ()`
- `vtkPolyDataSource = obj.SafeDownCast (vtkObject o)`
- `vtkPolyData = obj.GetOutput ()` - Get the output of this source.
- `vtkPolyData = obj.GetOutput (int idx)` - Get the output of this source.
- `obj.SetOutput (vtkPolyData output)` - Get the output of this source.